Subject: Re: bug#20642: 24.5; Please improve documentation for `pcase'

From: Philipp Stephani <[email-masked]>
Date: Sun, 21 Jun 2015 13:08:34 +0000

Philipp Stephani <[email-masked]> schrieb am So., 21. Juni 2015 um
15:07 Uhr:

> Stefan Monnier <[email-masked]> schrieb am Mo., 25. Mai 2015 um
> 04:27 Uhr:
>
>> >    Perform ML-style pattern matching on EXP.
>> > Users are probably not aware what 'ML-style pattern matching' is.
>>
>> Indeed.  But this "ML-style" is the only useful thing I can think
>> to add to this first line.  I don't think removing it will help anyone.
>>
>> > Please add an introduction without referring to ML.
>>
>> Feel free to suggest a replacement, but remember it has to fit on
>> a single line.
>>
>> >    CASES is a list of elements of the form (UPATTERN CODE...).
>> > Please document the motivation for the existence and nomenclature or
>> > UPatterns and QPatterns.
>>
>> In Emacs-25, the docstring has been indirectly modified, so the QPAT now
>> is only documented in a separate section about the backquote pattern.
>> You might like to take a look in that version, to see if it makes more
>> sense that way.
>>
>>
>>
> I think the current wording is better, thanks.
>

Sorry, wanted to say "the *new* wording (in Emacs 25) is better".